searchNodes=[{"doc":"Markov-chain-based trained text generator implementation. Next token prediction uses two previous tokens.","ref":"Markov.html","title":"Markov","type":"module"},{"doc":"","ref":"Markov.html#cond_shift_probs/2","title":"Markov.cond_shift_probs/2","type":"function"},{"doc":"Enables token sanitization on a chain . When this mode is enabled, the chain doesn't understand the difference similar textual tokens. This mode can't be disabled once it has been enabled. Returns the modified chain.","ref":"Markov.html#enable_token_sanitization/1","title":"Markov.enable_token_sanitization/1","type":"function"},{"doc":"Removes a token from all generation paths chain could produce. Returns the modifier chain Example iex&gt; % Markov { } |&gt; ...&gt; Markov . train ( &quot;a b c&quot; ) |&gt; ...&gt; Markov . forget_token ( &quot;b&quot; ) |&gt; ...&gt; Markov . generate_text ( ) &quot;a&quot;","ref":"Markov.html#forget_token/2","title":"Markov.forget_token/2","type":"function"},{"doc":"Generates a string of text using the chain Optionally assumes the previous two states were [state1, state2]=state . Returns the generated text. Example iex&gt; % Markov { } |&gt; Markov . train ( &quot;hello, world!&quot; ) |&gt; Markov . generate_text ( ) &quot;hello, world!&quot; iex&gt; % Markov { } |&gt; Markov . train ( &quot;hello, world!&quot; ) |&gt; ...&gt; Markov . generate_text ( [ :start , &quot;hello,&quot; ] ) &quot;world!&quot;","ref":"Markov.html#generate_text/2","title":"Markov.generate_text/2","type":"function"},{"doc":"Generates a list of tokens using the chain Optionally prepends acc to it and assumes the previous two states were [state1, state2]=state . The amount of the resulting token list is limited by limit . Returns the generated list. Example iex&gt; % Markov { } |&gt; Markov . train ( [ :a , :b , :c ] ) |&gt; Markov . generate_tokens ( ) [ :a , :b , :c ] iex&gt; % Markov { } |&gt; Markov . train ( [ :a , :b , :c ] ) |&gt; ...&gt; Markov . generate_tokens ( [ ] , [ :a , :b ] ) [ :c ]","ref":"Markov.html#generate_tokens/4","title":"Markov.generate_tokens/4","type":"function"},{"doc":"Predicts the next state of a chain assuming current state. Note: current state conists of two tokens. Returns the next predicted state. Example iex&gt; % Markov { } |&gt; Markov . train ( &quot;1 2 3 4 5&quot; ) |&gt; Markov . next_state ( [ &quot;2&quot; , &quot;3&quot; ] ) &quot;4&quot; iex&gt; % Markov { } |&gt; Markov . train ( &quot;1 2&quot; ) |&gt; Markov . next_state ( [ :start , :start ] ) &quot;1&quot; iex&gt; % Markov { } |&gt; Markov . train ( [ :a , :b , :c ] ) |&gt; Markov . next_state ( [ :a , :b ] ) :c","ref":"Markov.html#next_state/2","title":"Markov.next_state/2","type":"function"},{"doc":"Trains chain using text or a list of tokens . Returns the modified chain. Example chain = % Markov { } |&gt; Markov . train ( &quot;hello, world!&quot; ) |&gt; Markov . train ( &quot;example string number two&quot; ) |&gt; Markov . train ( &quot;hello, Elixir!&quot; ) |&gt; Markov . train ( &quot;fourth string&quot; ) chain = % Markov { } |&gt; Markov . train ( [ &quot;individual tokens&quot; , :can_be , &#39;arbitrary terms&#39; ] )","ref":"Markov.html#train/2","title":"Markov.train/2","type":"function"},{"doc":"","ref":"Markov.ListUtil.html","title":"Markov.ListUtil","type":"module"},{"doc":"Splits the list into sequential three-tuples Example iex&gt; Markov.ListUtil . ttuples ( [ 1 , 2 , 3 , 4 , 5 , 6 ] ) [ { 1 , 2 , 3 } , { 2 , 3 , 4 } , { 3 , 4 , 5 } , { 4 , 5 , 6 } ]","ref":"Markov.ListUtil.html#ttuples/1","title":"Markov.ListUtil.ttuples/1","type":"function"},{"doc":"","ref":"Markov.TextUtil.html","title":"Markov.TextUtil","type":"module"},{"doc":"","ref":"Markov.TextUtil.html#sanitize_token/1","title":"Markov.TextUtil.sanitize_token/1","type":"function"}]